# Visualization
TKV3d
Select3D

# Select3D_ListOfSensitive Class Reference

`#include <Select3D_ListOfSensitive.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Select3D_ListOfSensitive ()
Standard_EXPORT void | Assign (const Select3D_ListOfSensitive &Other)
void | operator= (const Select3D_ListOfSensitive &Other)
Standard_EXPORT Standard_Integer | Extent () const
Standard_EXPORT void | Clear ()
| ~Select3D_ListOfSensitive ()
Standard_Boolean | IsEmpty () const
Standard_EXPORT void | Prepend (const Handle(Select3D_SensitiveEntity)&I)
Standard_EXPORT void | Prepend (const Handle(Select3D_SensitiveEntity)&I, Select3D_ListIteratorOfListOfSensitive &theIt)
Standard_EXPORT void | Prepend (Select3D_ListOfSensitive &Other)
Standard_EXPORT void | Append (const Handle(Select3D_SensitiveEntity)&I)
Standard_EXPORT void | Append (const Handle(Select3D_SensitiveEntity)&I, Select3D_ListIteratorOfListOfSensitive &theIt)
Standard_EXPORT void | Append (Select3D_ListOfSensitive &Other)
Standard_EXPORT Handle_Select3D_SensitiveEntity & | First () const
Standard_EXPORT Handle_Select3D_SensitiveEntity & | Last () const
Standard_EXPORT void | RemoveFirst ()
Standard_EXPORT void | Remove (Select3D_ListIteratorOfListOfSensitive &It)
Standard_EXPORT void | InsertBefore (const Handle(Select3D_SensitiveEntity)&I, Select3D_ListIteratorOfListOfSensitive &It)
Standard_EXPORT void | InsertBefore (Select3D_ListOfSensitive &Other, Select3D_ListIteratorOfListOfSensitive &It)
Standard_EXPORT void | InsertAfter (const Handle(Select3D_SensitiveEntity)&I, Select3D_ListIteratorOfListOfSensitive &It)
Standard_EXPORT void | InsertAfter (Select3D_ListOfSensitive &Other, Select3D_ListIteratorOfListOfSensitive &It)

## Private Member Functions

Standard_EXPORT | Select3D_ListOfSensitive (const Select3D_ListOfSensitive &Other)

## Private Attributes

Standard_Address | myFirst
Standard_Address | myLast

## Constructor & Destructor Documentation

Standard_EXPORT Select3D_ListOfSensitive::Select3D_ListOfSensitive | ( |  | ) |

Select3D_ListOfSensitive::~Select3D_ListOfSensitive | ( |  | ) | `[inline]`

Standard_EXPORT Select3D_ListOfSensitive::Select3D_ListOfSensitive | ( | const Select3D_ListOfSensitive & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void Select3D_ListOfSensitive::Append | ( | Select3D_ListOfSensitive & | Other | ) |

Standard_EXPORT void Select3D_ListOfSensitive::Append | ( | const Handle(Select3D_SensitiveEntity)& | I,
|  | Select3D_ListIteratorOfListOfSensitive & | theIt
| ) |

Standard_EXPORT void Select3D_ListOfSensitive::Append | ( | const Handle(Select3D_SensitiveEntity)& | I | ) |

Standard_EXPORT void Select3D_ListOfSensitive::Assign | ( | const Select3D_ListOfSensitive & | Other | ) |

Standard_EXPORT void Select3D_ListOfSensitive::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer Select3D_ListOfSensitive::Extent | ( |  | ) | const

Standard_EXPORT Handle_Select3D_SensitiveEntity& Select3D_ListOfSensitive::First | ( |  | ) | const

Standard_EXPORT void Select3D_ListOfSensitive::InsertAfter | ( | Select3D_ListOfSensitive & | Other,
|  | Select3D_ListIteratorOfListOfSensitive & | It
| ) |

Standard_EXPORT void Select3D_ListOfSensitive::InsertAfter | ( | const Handle(Select3D_SensitiveEntity)& | I,
|  | Select3D_ListIteratorOfListOfSensitive & | It
| ) |

Standard_EXPORT void Select3D_ListOfSensitive::InsertBefore | ( | Select3D_ListOfSensitive & | Other,
|  | Select3D_ListIteratorOfListOfSensitive & | It
| ) |

Standard_EXPORT void Select3D_ListOfSensitive::InsertBefore | ( | const Handle(Select3D_SensitiveEntity)& | I,
|  | Select3D_ListIteratorOfListOfSensitive & | It
| ) |

Standard_Boolean Select3D_ListOfSensitive::IsEmpty | ( |  | ) | const

Standard_EXPORT Handle_Select3D_SensitiveEntity& Select3D_ListOfSensitive::Last | ( |  | ) | const

void Select3D_ListOfSensitive::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Select3D_ListOfSensitive::operator new | ( | size_t | size | ) | `[inline]`

void* Select3D_ListOfSensitive::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void Select3D_ListOfSensitive::operator= | ( | const Select3D_ListOfSensitive & | Other | ) | `[inline]`

Standard_EXPORT void Select3D_ListOfSensitive::Prepend | ( | Select3D_ListOfSensitive & | Other | ) |

Standard_EXPORT void Select3D_ListOfSensitive::Prepend | ( | const Handle(Select3D_SensitiveEntity)& | I,
|  | Select3D_ListIteratorOfListOfSensitive & | theIt
| ) |

Standard_EXPORT void Select3D_ListOfSensitive::Prepend | ( | const Handle(Select3D_SensitiveEntity)& | I | ) |

Standard_EXPORT void Select3D_ListOfSensitive::Remove | ( | Select3D_ListIteratorOfListOfSensitive & | It | ) |

Standard_EXPORT void Select3D_ListOfSensitive::RemoveFirst | ( |  | ) |

## Field Documentation

Standard_Address Select3D_ListOfSensitive::myFirst `[private]`

Standard_Address Select3D_ListOfSensitive::myLast `[private]`

The documentation for this class was generated from the following file:

- Select3D_ListOfSensitive.hxx